classification
Title: branches/trunk-math patch
Type: enhancement Stage:
Components: Interpreter Core Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, mark.dickinson
Priority: critical Keywords: patch

Created on 2008-03-03 17:31 by christian.heimes, last changed 2008-05-02 01:33 by mark.dickinson. This issue is now closed.

Files
File name Uploaded Description Edit
trunk-math-integration.diff christian.heimes, 2008-03-25 11:10
Messages (3)
msg63218 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-03 17:31
"svnmerge.py merge" integration patch of Mark and my trunk-math branch.
I created the patch to make the review process easier.

Name: svnmerge-integrated
   - /python/branches/trunk-math:1-60195
   + /python/branches/trunk-math:1-61203
msg64476 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-25 11:10
Merge Mark's and my math branch into 2.6. IMHO it's ready and stable but
I like to get the opinion of yet another core developer first.

Merge recipe
------------

Since svnmerge.py causes too many conflicts I've created a patch.
However the patch doesn't include copied files from the trunk-math
branch. In order to apply the patch one has to copy some files from the
trunk-math branch into the trunk.

COPY: Python/pymath.c Include/pymath.h Lib/test/cmath_testcases.txt
Lib/test/ieee754.txt
DELETE: Python/hypot.c Objects/doubledigits.c
msg66056 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2008-05-02 01:33
Closing:  Christian merged the trunk-math branch into the trunk in
r62380.
History
Date User Action Args
2008-05-02 01:33:49mark.dickinsonsetstatus: open -> closed
resolution: accepted
messages: + msg66056
2008-03-25 11:11:08christian.heimessetfiles: - trunk-math.patch
2008-03-25 11:10:56christian.heimessetpriority: high -> critical
files: + trunk-math-integration.diff
messages: + msg64476
2008-03-03 17:31:26christian.heimescreate